package cn.com.poc.thirdparty.resource.demand.ai.function;

import cn.com.poc.common.utils.SpringUtils;
import cn.com.poc.thirdparty.resource.demand.ai.function.document_reader.DocumentReaderFunction;
import cn.com.poc.thirdparty.resource.demand.ai.function.html_reader.HtmlReaderFunction;
import cn.com.poc.thirdparty.resource.demand.ai.function.long_memory.SetLongMemoryFunction;
import cn.com.poc.thirdparty.resource.demand.ai.function.memory_variable_writer.MemoryVariableWriterFunction;

public enum LargeModelFunctionEnum {
    set_long_memory(SetLongMemoryFunction.class),
    memory_variable_writer(MemoryVariableWriterFunction.class),
    html_reader(HtmlReaderFunction.class),
    document_reader(DocumentReaderFunction.class),
    bing_web_search(null),

    ;
    private Class<? extends AbstractLargeModelFunction> function;

    LargeModelFunctionEnum(Class<? extends AbstractLargeModelFunction> function) {
        this.function = function;
    }

    public AbstractLargeModelFunction getFunction() {
        return SpringUtils.getBean(function);
    }

    public void setFunction(Class<AbstractLargeModelFunction> function) {
        this.function = function;
    }

    public static LargeModelFunctionEnum getFunction(String functionName) {
        for (LargeModelFunctionEnum value : LargeModelFunctionEnum.values()) {
            if (value.name().equals(functionName)) {
                return value;
            }
        }
        return null;
    }
}
