package cn.com.yict.framemax.frame.model;	

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for large_model_config
 * 
 */
@Entity
@Table(name = "large_model_config")
@DynamicInsert
@DynamicUpdate
public class LargeModelConfigModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *主键ID
    */ 
    private java.lang.Integer id;
    
    @Column(name = "id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** PARAM_CODE
    *  模型代码
    */ 
    private java.lang.String paramCode;
    
    @Column(name = "PARAM_CODE",length = 8000)
    public java.lang.String getParamCode(){
        return this.paramCode;
    }
    
    public void setParamCode(java.lang.String paramCode){
        this.paramCode = paramCode;
        super.addValidField("paramCode");
    }

    /** PARAM_VALUE
     *  模型名称
     */
    private java.lang.String paramValue;

    @Column(name = "PARAM_VALUE",length = 100)
    public java.lang.String getParamValue(){
        return this.paramValue;
    }

    public void setParamValue(java.lang.String paramValue){
        this.paramValue = paramValue;
        super.addValidField("paramValue");
    }
    
  
    /** max_tokens
    *openai 参数
    */ 
    private java.lang.Integer maxTokens;
    
    @Column(name = "max_tokens",length = 10)
    public java.lang.Integer getMaxTokens(){
        return this.maxTokens;
    }
    
    public void setMaxTokens(java.lang.Integer maxTokens){
        this.maxTokens = maxTokens;
        super.addValidField("maxTokens");
    }
    
  
    /** presence_penalty
    *openai 参数(话题新鲜度)
    */ 
    private java.lang.Long presencePenalty;
    
    @Column(name = "presence_penalty",length = 12)
    public java.lang.Long getPresencePenalty(){
        return this.presencePenalty;
    }
    
    public void setPresencePenalty(java.lang.Long presencePenalty){
        this.presencePenalty = presencePenalty;
        super.addValidField("presencePenalty");
    }
    
  
    /** temperature
    *openai 参数(随机性)
    */ 
    private java.lang.Long temperature;
    
    @Column(name = "temperature",length = 12)
    public java.lang.Long getTemperature(){
        return this.temperature;
    }
    
    public void setTemperature(java.lang.Long temperature){
        this.temperature = temperature;
        super.addValidField("temperature");
    }
    
  
    /** top_p
    *openai 参数
    */ 
    private java.lang.Long topP;
    
    @Column(name = "top_p",length = 12)
    public java.lang.Long getTopP(){
        return this.topP;
    }
    
    public void setTopP(java.lang.Long topP){
        this.topP = topP;
        super.addValidField("topP");
    }
    
  
    /** prompt_value
    *提示词
    */ 
    private java.lang.String promptValue;
    
    @Column(name = "prompt_value",length = 2147483647)
    public java.lang.String getPromptValue(){
        return this.promptValue;
    }
    
    public void setPromptValue(java.lang.String promptValue){
        this.promptValue = promptValue;
        super.addValidField("promptValue");
    }
    
  
    /** assistant_content
    *助手词
    */ 
    private java.lang.String assistantContent;
    
    @Column(name = "assistant_content",length = 2147483647)
    public java.lang.String getAssistantContent(){
        return this.assistantContent;
    }
    
    public void setAssistantContent(java.lang.String assistantContent){
        this.assistantContent = assistantContent;
        super.addValidField("assistantContent");
    }
    
  
    /** timbre_id
    *音色ID
    */ 
    private java.lang.Integer timbreId;
    
    @Column(name = "timbre_id",length = 10)
    public java.lang.Integer getTimbreId(){
        return this.timbreId;
    }
    
    public void setTimbreId(java.lang.Integer timbreId){
        this.timbreId = timbreId;
        super.addValidField("timbreId");
    }
    
  
    /** timbre_name
    *音色名字
    */ 
    private java.lang.String timbreName;
    
    @Column(name = "timbre_name",length = 100)
    public java.lang.String getTimbreName(){
        return this.timbreName;
    }
    
    public void setTimbreName(java.lang.String timbreName){
        this.timbreName = timbreName;
        super.addValidField("timbreName");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 225)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}